using System;
using System.Collections.Generic;

class Program
{
    static void Main(string[] args)
    {
        int n, k, br = 0;
        string[] s = Console.ReadLine().Split(' ');
        n = int.Parse(s[0]); k = int.Parse(s[1]);
        int[] niz = new int[n];
        s = Console.ReadLine().Split(' ');
        niz[0] = int.Parse(s[0]);
        int min = niz[0], max = niz[0];
        List<int> indeksi = new List<int>();
        for (int i = 1; i < n; i++)
        {
            niz[i] = int.Parse(s[i]);
            if (niz[i] < min) min = niz[i];
            if (niz[i] > max) max = niz[i];
        }
        int[] ponavljanja = new int[max-min+1];
        for (int i = 0; i < n; i++)
        {
            ponavljanja[niz[i] - min]++;
        }
        for (int i = 0; i <= max-min; i++)
        {
            if (ponavljanja[i] >= k)
            {
                br++;
                indeksi.Add(i+min);
            }
        }
        Console.WriteLine(br);
        for (int i = 0; i < indeksi.Count; i++)
        {
            Console.Write(indeksi[i] + " ");
        }
    }
}